var myScroll, pullUpEl, pullUpOffset;
var num = 1;

function  getData(num){
    var total =num*5;
    var html='';
    var searchText=$("#searchText").val();
    var li,el;
    el = document.getElementById('assigned-list');
    $.ajax({
        type: 'POST',
        url: "/weixin/activity/queryActivityListOnlineData",
        data:{offset:total,limit:5,searchText:searchText},
        dataType:"json",
        async: false,
        success: function(data){
            if(data.rows.length>0){
                for (var i=0;i<data.rows.length;i++)
                {

                    li = document.createElement('li');
                    if(data.rows[i].status==2){
                        html=  '<a href="/weixin/activity/activityDetatilAgo?id='+data.rows[i].id+'">';
                    }else{
                        html =  '<a href="/weixin/activity/activityDetatil?id='+data.rows[i].id+'">';
                    }
                    // debugger;
                    var  address= g_getRegion(data.rows[i].province).province+" "+g_getRegion(data.rows[i].city).citytype+" "+g_getRegion(data.rows[i].district).city;

                    li.innerHTML= html +'<h2>'+data.rows[i].activityName+'</h2>'
                        +'<p>日期：'+data.rows[i].startTime+'至'+data.rows[i].endTime+'</p>'
                        +'<span>地址：'+address+" "+data.rows[i].address+'</span>'
                        +'</a>'
                    el.appendChild(li, el.childNodes[0]);
                }
            }else{

                $("#pullUp").hide();
                $("#ert").text('数据已经加载完了！').show();
            }
        }
    });


}
function pullUpAction () {
    getData(num);
    num++;
    myScroll.refresh();

}

/**
 * 初始化iScroll控件
 */
function loaded() {

    pullUpEl = document.getElementById('pullUp');
    pullUpOffset = pullUpEl.offsetHeight;

    myScroll = new iScroll('wrapper', {
        scrollbarClass: 'myScrollbar', /* 重要样式 */
        scrollbars: true,
        mouseWheel: true,//允许滑轮滚动
        useTransition: false, /* 此属性不知用意，本人从true改为false */
        onRefresh: function () {
            if (pullUpEl.className.match('loading')) {
                pullUpEl.className = '';
                pullUpEl.querySelector('.pullUpLabel').innerHTML = '上拉加载更多...';
            }
        },
        onScrollMove: function () {
            if (this.y < (this.maxScrollY - 55) && !pullUpEl.className.match('flip')) {
                pullUpEl.className = 'flip';
                pullUpEl.querySelector('.pullUpLabel').innerHTML = '松手开始更新...';
                this.maxScrollY = this.maxScrollY;
            } else if (this.y > (this.maxScrollY + 55) && pullUpEl.className.match('flip')) {
                pullUpEl.className = '';
                pullUpEl.querySelector('.pullUpLabel').innerHTML = '上拉加载更多...';
                this.maxScrollY = pullUpOffset;
            }
        },
        onScrollEnd: function () {
            if (pullUpEl.className.match('flip')) {
                pullUpEl.className = 'loading';
                pullUpEl.querySelector('.pullUpLabel').innerHTML = '正在加载...';
                pullUpAction();	// Execute custom function (ajax call?)
            }
        }
    });

    setTimeout(function () { document.getElementById('wrapper').style.left = '0'; }, 800);
}

//初始化绑定iScroll控件
document.addEventListener('touchmove', function (e) { e.preventDefault(); }, false);
document.addEventListener('DOMContentLoaded', loaded, false);

